Bug 602774 - Kernel panic when using WWAN (cdc_acm) on the train
Kernel panic when using WWAN (cdc_acm) on the train
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.5
All Linux
low Severity medium
: rc
: ---
Assigned To: Don Zickus
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-10 13:58 EDT by Dag Wieers
Modified: 2011-04-29 11:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-29 11:22:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hard irq locking (2.81 KB, patch)
2010-07-01 15:26 EDT, Don Zickus
no flags Details | Diff

  None (edit)
Description Dag Wieers 2010-06-10 13:58:16 EDT
Description of problem:
Kernel panic happens frequently when using WWAN (cdc_acm) on the train. The same problem never happened at the office or at home.

The hardware is:

Bus 002 Device 004: ID 0bdb:1900 Ericsson Business Mobile Networks BV

also known as: Ericsson F3507g Mobile Broadband Module.

http://www.thinkwiki.org/wiki/Ericsson_F3507g_Mobile_Broadband_Module


Version-Release number of selected component (if applicable):
kernel-2.6.18-194.3.1.el5.x86_64
kernel-2.6.18-201.el5.x86_64


How reproducible:
Very often (multiple times on a 1 hour commute)

Kernel messages and panic is attached to this report. Here is the call trace:

Call Trace:
 <IRQ>  [<ffffffff881cb3b8>] :cdc_acm:acm_read_bulk+0x5c/0xd7
 [<ffffffff801f73a3>] usb_hcd_giveback_urb+0x37/0x65
 [<ffffffff88000dc8>] :ehci_hcd:ehci_urb_done+0x8e/0x9e
 [<ffffffff880010c5>] :ehci_hcd:qh_completions+0x9a/0x344
 [<ffffffff8800181d>] :ehci_hcd:ehci_work+0xad/0x6d1
 [<ffffffff8800463c>] :ehci_hcd:ehci_irq+0x145/0x15d
 [<ffffffff801f7d92>] usb_hcd_irq+0x27/0x55
 [<ffffffff80010ba6>] handle_IRQ_event+0x51/0xa6
 [<ffffffff800bb01a>] __do_IRQ+0xa4/0x103
 [<ffffffff8006ca11>] do_IRQ+0xe7/0xf5
 [<ffffffff8005d615>] ret_from_intr+0x0/0xa
 [<ffffffff80064a88>] _spin_lock+0x3/0xa
 [<ffffffff881cab0f>] :cdc_acm:acm_rx_tasklet+0xfe/0x21b
 [<ffffffff80094fb8>] tasklet_action+0x89/0xfd
 [<ffffffff800123af>] __do_softirq+0x89/0x133
 [<ffffffff8005e2fc>] call_softirq+0x1c/0x28
 [<ffffffff8006cb8e>] do_softirq+0x2c/0x85
 [<ffffffff8006ca16>] do_IRQ+0xec/0xf5
 [<ffffffff8005d615>] ret_from_intr+0x0/0xa
 <EOI>  [<ffffffff8019dd6d>] acpi_processor_idle_simple+0x10d/0x30e
 [<ffffffff8019dddd>] acpi_processor_idle_simple+0x17d/0x30e
 [<ffffffff8019dccc>] acpi_processor_idle_simple+0x6c/0x30e
 [<ffffffff8019dc60>] acpi_processor_idle_simple+0x0/0x30e
 [<ffffffff80049323>] cpu_idle+0x95/0xb8
 [<ffffffff80407807>] start_kernel+0x220/0x225
 [<ffffffff8040722f>] _sinittext+0x22f/0x236
Comment 1 Dag Wieers 2010-06-10 15:39:52 EDT
Could this one be related ?

https://bugzilla.redhat.com/show_bug.cgi?id=237323
Comment 2 Don Zickus 2010-07-01 15:26:46 EDT
Created attachment 428532 [details]
hard irq locking

You can certainly try that patch.  Not sure why it never made it into RHEL-5.
Comment 3 Don Zickus 2010-07-01 15:31:00 EDT
Let me know if you need me to build a binary for you.

Cheers,
Don
Comment 4 Don Zickus 2010-08-04 13:34:46 EDT
Any feedback?

Cheers,
Don
Comment 5 Don Zickus 2011-04-29 11:22:00 EDT
closing due to no feedback.  Feel free to re-open if this is still a problem.

Cheers,
Don

Note You need to log in before you can comment on or make changes to this bug.